@use "../abstract" as abs;

.btn-main{
    width: 17rem;
    height: 4.5rem;
    font-family: abs.$font-josefinSans;
    font-size: 1.4rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: abs.$color-primary;
    background-color: transparent;
    border: 1px solid abs.$color-primary;
    outline: none;
    cursor: pointer;
    transition: all 0.4s;

    &:hover, &:active{
        background-color: abs.$color-primary;
        color: abs.$color-dark;
    }

    @include abs.respond(large){
        width: 16rem;
        height: 4rem;
        font-size: 1.2rem;
    }

    @include abs.respond(medium){
        width: 15rem;
        height: 3.5rem;
        font-size: 1rem;
    }
}

.card__overlay-btn{
    width: 15rem;
    height: 4rem;
    color: abs.$color-primary;
    background-color: abs.$color-white;
    font-family: abs.$font-josefinSans;
    font-size: 1.4rem;
    font-weight: bold;
    letter-spacing: .1rem;
    text-transform: uppercase;
    border: 1px solid abs.$color-primary;
    border-radius: 30px;
    outline: none;
    cursor: pointer;
    transition: all 0.4s;

    &:hover, &:active {
        background-color: abs.$color-primary;
        color: abs.$color-dark;
    }

    @include abs.respond(medium){
        width: 13rem;
        height: 3.8rem;
        font-size: 1.3rem;
    }

    @include abs.respond(small){
        width: 11rem;
        height: 3.6rem;
        font-size: 1.1rem;
    }
}